Package com.enonic.xp.region

## Class LayoutComponent

- java.lang.Object
- - com.enonic.xp.region.Component
  - - com.enonic.xp.region.DescriptorBasedComponent
    - - com.enonic.xp.region.LayoutComponent

-     @PublicApi
      public final class LayoutComponent
      extends DescriptorBasedComponent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LayoutComponent.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayoutComponent​(LayoutComponent.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutComponent` | `copy()` |
    `static LayoutComponent.Builder` | `create()` |
    `static LayoutComponent.Builder` | `create​(LayoutComponent source)` |
    `boolean` | `equals​(Object o)` |
    `Component` | `getComponent​(ComponentPath path)` |
    `ComponentName` | `getName()` | Deprecated.
    `Region` | `getRegion​(String name)` |
    `LayoutRegions` | `getRegions()` |
    `ComponentType` | `getType()` |
    `int` | `hashCode()` |
    `boolean` | `hasRegions()` |
    `String` | `toString()` |

    - ### Methods inherited from class com.enonic.xp.region.DescriptorBasedComponent

      `getConfig, getDescriptor, hasConfig, hasDescriptor`

    - ### Methods inherited from class com.enonic.xp.region.Component

      `getPath`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutComponent

          public LayoutComponent​(LayoutComponent.Builder builder)

  - ### Method Detail

    - #### create

          public static LayoutComponent.Builder create()

    - #### create

          public static LayoutComponent.Builder create​(LayoutComponent source)

    - #### copy

          public LayoutComponent copy()

      Specified by:
        `copy` in class `Component`

    - #### getType

          public ComponentType getType()

      Specified by:
        `getType` in class `Component`

    - #### hasRegions

          public boolean hasRegions()

    - #### getRegion

          public Region getRegion​(String name)

    - #### getRegions

          public LayoutRegions getRegions()

    - #### getComponent

          public Component getComponent​(ComponentPath path)

    - #### getName

          @Deprecated
          public ComponentName getName()

      Deprecated.
      Overrides:
        `getName` in class `Component`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `DescriptorBasedComponent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DescriptorBasedComponent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Component`